Bug 257947 - devel/llvm-devel: llvm-devel-14.0.d20210811 installation fails if OPENMP is disabled
Summary: devel/llvm-devel: llvm-devel-14.0.d20210811 installation fails if OPENMP is d...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-19 17:15 UTC by Philippe Michel
Modified: 2021-10-19 20:27 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (brooks)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Michel 2021-08-19 17:15:28 UTC
===>  Installing for llvm-devel-14.0.d20210811
===>  Checking if llvm-devel is already installed
===>   Registering installation for llvm-devel-14.0.d20210811
pkg-static: Unable to access file /usr/ports/devel/llvm-devel/work-default/stage/usr/local/llvm-devel/bin/llvm-omp-device-info:No such file or directory
pkg-static: Unable to access file /usr/ports/devel/llvm-devel/work-default/stage/usr/local/llvm-devel/lib/cmake/openmp/FindOpenMPTarget.cmake:No such file or directory
*** Error code 1

I suppose it tries to install these files unconditionally when this should be done only if the OPENMP option is enabled.
Comment 1 commit-hook freebsd_committer 2021-08-24 17:45:42 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=088b99d471a50a5cf041fa18a8cd21a63ed98ebf

commit 088b99d471a50a5cf041fa18a8cd21a63ed98ebf
Author:     Brooks Davis <brooks@FreeBSD.org>
AuthorDate: 2021-08-24 17:44:55 +0000
Commit:     Brooks Davis <brooks@FreeBSD.org>
CommitDate: 2021-08-24 17:44:55 +0000

    devel/llvm-devel: fix build without OPENMP

    Some files were not correctly tagged as being part of the OpenMP
    build.[0]

    Fix symlinks to lit and FileCheck.  They improperly included
    STAGEDIR.[1]

    PR:             257947 [0], 244439 [1]
    Sponsored by:   DARPA

 devel/llvm-devel/Makefile          | 32 +++++++++++++++++---------------
 devel/llvm-devel/Makefile.COMMANDS |  4 +++-
 devel/llvm-devel/pkg-plist         |  6 +++---
 3 files changed, 23 insertions(+), 19 deletions(-)
Comment 2 Brooks Davis freebsd_committer 2021-10-19 20:27:13 UTC
I think this is now fixed